$(function() {
	$("[name=btnExportCommon]").click(function(e){
		e.preventDefault()
		if($("#searchForm").find("[name=toExportFlag]").length == 0)
			$("#searchForm").append('<input type="hidden" name="toExportFlag" value="true"/>')
		submitForm('searchForm')
	})
	
	$("#btnSearch").click(function() {
		nothingToExport()
		$('#type').val('search');
		submitForm('searchForm');
	});

	$("#btnSearchAll").click(function() {
		nothingToExport()
		$('#s_user_account').val('');
		$('#s_ip_address').val('');
		$('#login_flg').prop('checked', true);

		$('#s_from:text').datepicker().datepicker('setDate', nowStr);
		$('#s_to:text').datepicker().datepicker('setDate','today');

		$('#type').val('search');
		submitForm('searchForm');
	});

	$("#btnSearchToday").click(function() {
		nothingToExport()
		$('#s_user_account').val('');
		$('#s_ip_address').val('');
		$('#login_flg').prop('checked', true);

		$('#s_from:text').datepicker().datepicker('setDate','today');
		$('#s_to:text').datepicker().datepicker('setDate','today');

		$('#type').val('search');
		submitForm('searchForm');
	});

	$('#s_from').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#s_to').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	if($('#s_from').val() == '') {
		$('#s_from:text').datepicker().datepicker('setDate', nowStr);
	}

	if($('#s_to').val() == '') {
		$('#s_to:text').datepicker().datepicker('setDate','today');
	}
});


function nothingToExport(){
	if($("#searchForm").find("[name=toExportFlag]").length > 0)
		$("#searchForm").find("[name=toExportFlag]").remove()
}

/**
 * サブミットを行う（詳細画面の表示）
 */
function actionDetail(uAccount) {
	$('#type').val('detail');
	$('#user_account').val(uAccount);
	submitForm();
}